Getting Error while running sudo apt update or sudo apt-get update in Ubuntu 18,04 lts

I am trying to install docker but their was a error like
Unable to locate Docker
so i searched the internet for solution and i end up in sudo apt update or sudo apt-get update but i am getting error on running update command…While running sudo apt-get update

while running sudo apt-get install docker

Source: StackOverflow